function init()
	gun.name = "Beam_Repair"
	gun.fireDelay = 0
	gun.shotrange = 450
	gun.shotdamage = -50--REPAIRS // gives an 8-damage buffer
	gun.shotspeed = 8000
	
	--gun.initBeam()--taken care of with cycleBeam()
	
	return 0
end


function update()
	return 0
end


function fire()
	--stage.GFP("    beaming at " .. gun.firetarx .. "," .. gun.firetary)

	gun.cycleBeam()--get or make the next available beam
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)

	--gun.GFP("made beam!")
	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end